Subject: bug#25596: 25.1; Password not hidden

From: Rahul Martim Juliato <[email-masked]>
Date: Thu, 02 Feb 2017 18:53:54 -0200

I'm on arch Linux, armv7, samsumg crhomebook.

I launch emacs with:

emacs -Q -f shell

inside of it:
sudo ls

And then shell asks me for the password not hiding it when I type.

I already tried a "solution" i found on-line by adding this to my .emacs file:

(add-hook 'comint-output-filter-functions
	  'comint-watch-for-password-prompt)

And altough I'm using a brazillian portuguese system, sudo should
recognize the portuguese word "senha" as a passwork equivalent, or at
least recognize that the line asks for password with "[sudo]". I also
tryied do C the lang bash variables, the problem remains.

As a side note, passord IS hidden with e-shell and ansi-term.

Thanks.

Glenn Morris <[email-masked]> writes: